Get Location Alias
get
/applications/{applicationName}/databases/{databaseName}/locationaliases/{aliasName}
Gets details of the specified location alias.
Request
Path Parameters
-
aliasName(required):
Location alias name.
-
applicationName(required):
Application name.
-
databaseName(required):
Database name.
Response
200 Response
OK
Location alias returned successfully.
400 Response
Bad Request
Failed to get location alias details.
500 Response
Internal Server Error.
Examples
The following example shows how retrieve information about a named location alias defined on an Essbase cube.
This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.
Script with cURL Command
call properties.bat
curl -X GET https://myserver.example.com:9001/essbase/rest/v1/applications/Sample/databases/Basic/locationaliases/EasternDB -H "Accept:application/json" -u %User%:%Password%
Example of Response Body
{
"aliasName" : "EasternDB",
"serverName" : "https://myserver.example.com:9001/essbase/agent",
"userName" : "",
"applicationName" : "Eastern",
"databaseName" : "Sales",
"applicationLevelConnection" : false,
"links" : [ {
"rel" : "canonical",
"href" : "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample/databases/Basic/locationaliases/EasternDB",
"method" : "GET",
"type" : "application/json"
}, {
"rel" : "update",
"href" : "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample/databases/Basic/locationaliases/EasternDB",
"method" : "PATCH",
"type" : "application/json"
}, {
"rel" : "delete",
"href" : "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample/databases/Basic/locationaliases/EasternDB",
"method" : "DELETE",
"type" : "application/json"
} ]
}